org.deidentifier.arx

## Class DataSubset

- java.lang.Object
- - org.deidentifier.arx.DataSubset

All Implemented Interfaces:
  java.io.Serializable

    public class DataSubset
    extends java.lang.Object
    implements java.io.Serializable

This class represents a the dataset that is to be de-identified as a subset of the given population table.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DataSubset` `clone()` Clone
`static DataSubset` `create(Data data, Data subset)` Create a subset by matching two data instances.
`static DataSubset` `create(Data data, DataSelector selector)` Creates a subset from the given selector.
`static DataSubset` `create(Data data, RowSet subset)` Creates a new subset from the given row set, from which a copy is created.
`static DataSubset` `create(Data data, java.util.Set<java.lang.Integer> subset)` Creates a new subset from the given set of tuple indices.
`static DataSubset` `create(int rows, RowSet subset)` Creates a new subset from the given row set, from which a copy is created.
`static DataSubset` `create(int rows, java.util.Set<java.lang.Integer> subset)` Creates a new subset from the given set of tuple indices.
`int[]` `getArray()` Getter
`RowSet` `getSet()` Getter
`int` `getSize()` Returns the size of the data subset

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static DataSubset create(Data data,
                                    Data subset)

Create a subset by matching two data instances.

Parameters:
  `data` -
  `subset` -
Returns:

#### create

    public static DataSubset create(Data data,
                                    DataSelector selector)

Creates a subset from the given selector.

Parameters:
  `data` -
  `selector` -
Returns:

#### create

    public static DataSubset create(Data data,
                                    RowSet subset)

Creates a new subset from the given row set, from which a copy is created.

Parameters:
  `data` -
  `subset` -
Returns:

#### create

    public static DataSubset create(Data data,
                                    java.util.Set<java.lang.Integer> subset)

Creates a new subset from the given set of tuple indices.

Parameters:
  `data` -
  `subset` -
Returns:

#### create

    public static DataSubset create(int rows,
                                    RowSet subset)

Creates a new subset from the given row set, from which a copy is created.

Parameters:
  `data` -
  `subset` -
Returns:

#### create

    public static DataSubset create(int rows,
                                    java.util.Set<java.lang.Integer> subset)

Creates a new subset from the given set of tuple indices.

Parameters:
  `rows` -
  `subset` -
Returns:

#### clone

    public DataSubset clone()

Clone

Overrides:
  `clone` in class `java.lang.Object`

#### getArray

    public int[] getArray()

Getter

Returns:

#### getSet

    public RowSet getSet()

Getter

Returns:

#### getSize

    public int getSize()

Returns the size of the data subset

Returns: